For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.output_views.delete(view_id="ov_4f0c2a9d8e1b47c6a3d5f7e9b1c3a5d7")
Returns JSONRaises HttpResponseError
Description
Deletes one of your team’s views and returns it with audit.deleted_at set; it can no longer be used. Published views cannot be deleted. Returns 404 when the view does not exist, is already deleted, or is not your team’s.
Parameters
view_id string required
Output view ID.
Response Example
Show Response Example
{
"view": {
"view_id": "ov_4f0c2a9d8e1b47c6a3d5f7e9b1c3a5d7",
"tool_id": "tul_exa_web_search",
"tool": "exa_web_search",
"version": "v1",
"team_id": "123456",
"name": "titles-and-urls",
"description": "Keep only result titles and URLs.",
"kind": "OUTPUT_VIEW_KIND_PROJECTION",
"fields": [
"results.title",
"results.url"
],
"output_schema": {
"type": "object",
"properties": {
"results": {
"type": "array",
"items": {
"type": "object",
"properties": {
"title": {
"type": "string"
},
"url": {
"type": "string"
}
}
}
}
}
},
"audit": {
"createdAt": "2026-09-01T16:00:00Z",
"updatedAt": "2026-09-10T08:00:00Z",
"deletedAt": "2026-09-10T08:00:00Z"
}
}
}
See /v2/action-gateway/output-views/{view_id} in the API reference for additional detail on responses, headers, parameters, and more.